Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class JboEnvUtil

`java.lang.Object
oracle.jbo.common.JboEnvUtil`

public class JboEnvUtil
extends java.lang.Object

Internal: Applications should not use this class.

Field Summary
`static java.lang.String` | `APPLICATION_NAME`
`static java.lang.String` | `DEFAULT_APPLICATION_NAME`
`static int` | `DEFAULT_CONNECTION_MODE`
`static java.lang.String` | `DEFAULT_ORACLE_SID`
`static boolean` | `DEFAULT_USE_CLIENT_SERVICE`
`static java.lang.String` | `IAS_EM_DIAGNOSTIC_DELIM`
`static java.lang.String` | `JVM_ID`
`static int` | `NULL_CONNECTION_MODE`
`static java.lang.String` | `ORACLE_SID`
`static java.lang.String` | `SESSION_ID`
`static java.lang.String` | `USE_CLIENT_SERVICE`

Constructor Summary
`JboEnvUtil()`

Method Summary
`static void` | `applyVOSortCriteria(ViewObject vo, SortCriteria[] sortBy)` Internal: Applications should not use this method.
`static void` | `checkJServerPermissions()` this method checks that getProperties can be executed.
`static java.util.Vector` | `convertArrayListToVector(com.sun.java.util.collections.ArrayList al)`
`static java.util.Hashtable` | `convertHashMapToHashTable(com.sun.java.util.collections.HashMap al)`
`static com.sun.java.util.collections.HashMap` | `convertHashTableToHashMap(java.util.Hashtable al)`
`static com.sun.java.util.collections.ArrayList` | `convertVectorToArrayList(java.util.Vector al)`
`static java.applet.Applet` | `getApplet(java.util.Hashtable env)` return the applet pointer or null
`static java.lang.String` | `getApplicationName(java.util.Hashtable env)`
`static java.lang.String` | `getApplicationPath(java.util.Hashtable env)`
`static java.lang.String` | `getBC4JTempDir(ApplicationModule am)`
`static int` | `getConnectionMode(java.util.Hashtable env)`
`static int` | `getConnectionPort(java.util.Hashtable env)`
`static java.lang.String` | `getDefaultHost()`
`static java.lang.String` | `getDefaultRuntimeId()`
`static java.lang.String` | `getDefaultSessionId()`
`static java.lang.String` | `getDeployPlatform(java.util.Hashtable env)`
`static java.lang.String` | `getHostName(java.util.Hashtable env)`
`static java.lang.Integer` | `getInteger(java.lang.Object obj)`
`static java.lang.String` | `getOracleSid(java.util.Hashtable env)`
`static java.lang.String` | `getProperty(java.lang.String propName)` get a property, defauting to null
`static java.lang.String` | `getProperty(java.lang.String propName, java.lang.String defValue)`
`static boolean` | `getPropertyAsBoolean(java.lang.String propName, boolean dflt)`
`static int` | `getPropertyAsInt(java.lang.String prop, int dflt)`
`static java.lang.String` | `getRuntimeId(java.util.Hashtable env)`
`static java.lang.String` | `getSessionId(java.util.Hashtable env)`
`static boolean` | `getUseClientService(java.util.Hashtable env)`
`static boolean` | `inJava12()`
`static boolean` | `inJServer()`
`static boolean` | `inOC4J()`
`static boolean` | `isApplet()` are we executing in a protected
`static boolean` | `isAuthenticateUser(java.util.Hashtable env)`
`static boolean` | `isCheckPermission(java.util.Hashtable env)`
`static boolean` | `isClient(java.util.Hashtable env)`
`static boolean` | `isEmptyString(java.lang.String str)`
`static boolean` | `isSameHost(java.util.Hashtable env)` public static void getPropertiesFromSessionInfo(SessionInfo info, Hashtable env) { if (info.ConnectionMode != NULL_CONNECTION_MODE) { env.put(CONNECTION_MODE, new Integer(info.ConnectionMode)); } if (!isEmptyString(info.SessionId)) { env.put(SESSION_ID, info.SessionId); } }
`static boolean` | `isSameVM(java.util.Hashtable env)`
`static boolean` | `isUserAuthenticated(java.util.Hashtable env)`
`static boolean` | `isUsing32IDE()`
`static java.util.Iterator` | `javaIterator(com.sun.java.util.collections.Iterator sunIter)`
`static SortCriteria[]` | `parseSortBy(java.lang.String sortBy)`
`static void` | `setSizeInArrayList(com.sun.java.util.collections.ArrayList al, int newSize)`
`static void` | `setSizeInArrayList(java.util.ArrayList al, int newSize)`
`static void` | `setSystemProperty(java.lang.String prop, java.lang.String val)`
`static boolean` | `useDefaultContext(java.util.Hashtable env)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_CLIENT_SERVICE

    public static java.lang.String USE_CLIENT_SERVICE

### APPLICATION_NAME

    public static java.lang.String APPLICATION_NAME

### JVM_ID

    public static java.lang.String JVM_ID

### ORACLE_SID

    public static java.lang.String ORACLE_SID

### IAS_EM_DIAGNOSTIC_DELIM

    public static java.lang.String IAS_EM_DIAGNOSTIC_DELIM

### DEFAULT_CONNECTION_MODE

    public static int DEFAULT_CONNECTION_MODE

### NULL_CONNECTION_MODE

    public static int NULL_CONNECTION_MODE

### DEFAULT_USE_CLIENT_SERVICE

    public static boolean DEFAULT_USE_CLIENT_SERVICE

### DEFAULT_APPLICATION_NAME

    public static java.lang.String DEFAULT_APPLICATION_NAME

### DEFAULT_ORACLE_SID

    public static java.lang.String DEFAULT_ORACLE_SID

### SESSION_ID

    public static java.lang.String SESSION_ID

Constructor Detail

### JboEnvUtil

    public JboEnvUtil()

Method Detail

### getDeployPlatform

    public static java.lang.String getDeployPlatform(java.util.Hashtable env)

### isClient

    public static boolean isClient(java.util.Hashtable env)

### isApplet

    public static boolean isApplet()

  are we executing in a protected

### getProperty

    public static java.lang.String getProperty(java.lang.String propName)

  get a property, defauting to null

### getProperty

    public static java.lang.String getProperty(java.lang.String propName,
                                               java.lang.String defValue)

### getPropertyAsBoolean

    public static boolean getPropertyAsBoolean(java.lang.String propName,
                                               boolean dflt)

### getPropertyAsInt

    public static int getPropertyAsInt(java.lang.String prop,
                                       int dflt)

### setSystemProperty

    public static void setSystemProperty(java.lang.String prop,
                                         java.lang.String val)

### getDefaultHost

    public static java.lang.String getDefaultHost()

### getHostName

    public static java.lang.String getHostName(java.util.Hashtable env)

### getDefaultRuntimeId

    public static java.lang.String getDefaultRuntimeId()

### getRuntimeId

    public static java.lang.String getRuntimeId(java.util.Hashtable env)

### getConnectionMode

    public static int getConnectionMode(java.util.Hashtable env)

### getDefaultSessionId

    public static java.lang.String getDefaultSessionId()

### getSessionId

    public static java.lang.String getSessionId(java.util.Hashtable env)

### getUseClientService

    public static boolean getUseClientService(java.util.Hashtable env)

### getConnectionPort

    public static int getConnectionPort(java.util.Hashtable env)

### getApplicationName

    public static java.lang.String getApplicationName(java.util.Hashtable env)

### isSameHost

    public static boolean isSameHost(java.util.Hashtable env)

  public static void getPropertiesFromSessionInfo(SessionInfo info, Hashtable env) { if (info.ConnectionMode != NULL_CONNECTION_MODE) { env.put(CONNECTION_MODE, new Integer(info.ConnectionMode)); } if (!isEmptyString(info.SessionId)) { env.put(SESSION_ID, info.SessionId); } }

### isSameVM

    public static boolean isSameVM(java.util.Hashtable env)

### getApplet

    public static java.applet.Applet getApplet(java.util.Hashtable env)

  return the applet pointer or null

### getApplicationPath

    public static java.lang.String getApplicationPath(java.util.Hashtable env)

### getOracleSid

    public static java.lang.String getOracleSid(java.util.Hashtable env)

### inJServer

    public static boolean inJServer()

### inOC4J

    public static boolean inOC4J()

### isEmptyString

    public static boolean isEmptyString(java.lang.String str)

### getInteger

    public static java.lang.Integer getInteger(java.lang.Object obj)

### inJava12

    public static boolean inJava12()

### checkJServerPermissions

    public static void checkJServerPermissions()

  this method checks that getProperties can be executed. It is used very early in the Business Components Server lifecycle so that a fatal exception will be thrown in a timely manner if the permissions have not been granted.

### convertArrayListToVector

    public static java.util.Vector convertArrayListToVector(com.sun.java.util.collections.ArrayList al)

### convertVectorToArrayList

    public static com.sun.java.util.collections.ArrayList convertVectorToArrayList(java.util.Vector al)

### convertHashMapToHashTable

    public static java.util.Hashtable convertHashMapToHashTable(com.sun.java.util.collections.HashMap al)

### convertHashTableToHashMap

    public static com.sun.java.util.collections.HashMap convertHashTableToHashMap(java.util.Hashtable al)

### javaIterator

    public static java.util.Iterator javaIterator(com.sun.java.util.collections.Iterator sunIter)

### setSizeInArrayList

    public static void setSizeInArrayList(com.sun.java.util.collections.ArrayList al,
                                          int newSize)

### setSizeInArrayList

    public static void setSizeInArrayList(java.util.ArrayList al,
                                          int newSize)

### isUsing32IDE

    public static boolean isUsing32IDE()

### useDefaultContext

    public static boolean useDefaultContext(java.util.Hashtable env)

### isAuthenticateUser

    public static boolean isAuthenticateUser(java.util.Hashtable env)

### isUserAuthenticated

    public static boolean isUserAuthenticated(java.util.Hashtable env)

### isCheckPermission

    public static boolean isCheckPermission(java.util.Hashtable env)

### getBC4JTempDir

    public static java.lang.String getBC4JTempDir(ApplicationModule am)

### parseSortBy

    public static SortCriteria[] parseSortBy(java.lang.String sortBy)

### applyVOSortCriteria

    public static void applyVOSortCriteria(ViewObject vo,
                                           SortCriteria[] sortBy)

  Internal: Applications should not use this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.